# lid.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/mediafmt.h>`

Include dependency graph for lid.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | OpalLineInterfaceDevice
struct | OpalLineInterfaceDevice::DialParams
class | OpalLine
class | OpalLIDRegistration

## Defines

#define | OPAL_REGISTER_LID_FUNCTION(cls, type, param)
#define | OPAL_REGISTER_LID(cls, type)
#define | OPAL_REGISTER_LID_PARAM(cls, type)

## Functions

| PLIST (OpalLIDList, OpalLineInterfaceDevice)
| PLIST (OpalLineList, OpalLine)

## Define Documentation

#define OPAL_REGISTER_LID | ( | cls,
|  | type |  | ) |

Value:

    OPAL_REGISTER_LID_FUNCTION(cls, type, OPAL_NO_PARAM) \
      { return new cls; }

#define OPAL_REGISTER_LID_FUNCTION | ( | cls,
|  | type,
|  | param |  | ) |

Value:

    static class cls##_Registration : public OpalLIDRegistration { \
      public: \
        cls##_Registration() : OpalLIDRegistration(type) { } \
        OpalLineInterfaceDevice * Create(void * param) const; \
    } instance_##cls##_Registration; \
    OpalLineInterfaceDevice * cls##_Registration::Create(void * param) const

#define OPAL_REGISTER_LID_PARAM | ( | cls,
|  | type |  | ) |

Value:

    OPAL_REGISTER_LID_FUNCTION(cls, type, parameter) \
      { return new cls(parameter); }

## Function Documentation

PLIST | ( | OpalLineList | ,
|  | OpalLine |  |
| ) |  |  |

PLIST | ( | OpalLIDList | ,
|  | OpalLineInterfaceDevice |  |
| ) |  |  |